### Encoding: latin1

### Name: locquadvar
### Title: Estimation of the multifractional function of the
###   multifractalional Brownian field by the localized quadratic
###   variations method
### Aliases: locquadvar


### ** Examples

# load FieldSim library
library(FieldSim)

#Field simulation
F<-function(x){
H1<-(0.4*x[1]+0.5)
H2<-(0.4*x[3]+0.5)
out<-list(H1=H1,H2=H2,H=(H1+H2)/2)
return(out)
}

R<-function(x){
a<-F(x)
alpha<-a$H
alpha1<-a$H1
alpha2<-a$H2

C2D(alpha)^2/(2*C2D(alpha1)*C2D(alpha2))*((x[1]^2+x[2]^2)^(alpha)+(x[3]^2+x[4]^2)^(alpha)-((x[1]-x[3])^2+(x[2]-x[4])^2)^(alpha))
}

res <- fieldsim(R,Elevel=1,Rlevel=5,nbNeighbor=4)

# Estimation
locquadvar(Z=res$Z,t=c(0.5,0.5),h=0.125)



